Last Comment Bug 743948 - Change Calculation Function of colors in Mentees Grid
: Change Calculation Function of colors in Mentees Grid
Status: VERIFIED FIXED
:
Product: Mozilla Reps
Classification: Other
Component: reps.mozilla.org (show other bugs)
: 0.2.5 - Sasak
: All All
: -- normal (vote)
: ---
Assigned To: Giorgos Logiotatidis [:giorgos]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 03:39 PDT by Giorgos Logiotatidis [:giorgos]
Modified: 2012-05-18 10:00 PDT (History)
2 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Giorgos Logiotatidis [:giorgos] 2012-04-10 03:39:40 PDT
Pierros,

Please provide the function for color calculation based on overdue and empty status of the reports of your mentees.

Thanks!
Comment 1 Pierros Papadeas [:pierros] 2012-05-15 21:09:53 PDT
If last report submitted is empty then class of the grid item should be .dashboard-mentee.empty with CSS: (please add this in our less)

.dashboard-mentee.empty {
    background: -moz-linear-gradient(top, #ff9966 0%, #ff6633 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#ff9966), color-stop(100%,#ff6633));
}

If there is no report submitted over a month then .dashboard-mentee.notfilled (with CSS that exists already)

If both conditions are met then .notfilled is the one that gets displayed.
Thanks!
Comment 2 Giorgos Logiotatidis [:giorgos] 2012-05-16 02:28:36 PDT
Pierros,

I cannot fully understand your conditions. Can you please rephrase them as following?

If current report (i.e. for May that's April) is empty:
If current report is overdue:
if current report is not filled:
If current report is filled within deadline:

If previous report (i.e. for May that's March) is empty:
If previous report is overdue:
If previous report is not filled:
If previous report is filled within deadline:

Thanks!
Comment 3 Pierros Papadeas [:pierros] 2012-05-16 04:41:25 PDT
If current report (i.e. for May that's April) is empty: .dashboard-mentee.empty
If current report is overdue: Do nothing
if current report is not filled: Do nothing
If current report is filled within deadline: Do nothing

If previous report (i.e. for May that's March) is empty: Do nothing
If previous report is overdue: Do nothing
If previous report is not filled: .dashboard-mentee.notfilled
If previous report is filled within deadline: Do nothing

If both empty and notfilled are to be applied then apply only notfilled.
CSS for empty is given in comment 1

Hope this clarifies things :)
Comment 4 [github robot] 2012-05-16 08:31:50 PDT
Commits pushed to master at https://github.com/mozilla/remo

https://github.com/mozilla/remo/commit/36df33b5a81003e4f328b594b497f845e614e2e8
Change calculation function. Fix bug 743948.

https://github.com/mozilla/remo/commit/62f4478263a0480d78957d8f89698da842d74b1d
Merge pull request #175 from glogiotatidis/743948-change-calculation-function

Change calculation function. Fix bug 743948.
Comment 5 Rebecca Billings [:rbillings] 2012-05-18 10:00:19 PDT
Verified mentees with report filed display as gray, and overdue reports display as red.

Note You need to log in before you can comment on or make changes to this bug.